Package org.opensaml.soap.wsaddressing.messaging

# Class WSAddressingContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.soap.wsaddressing.messaging.WSAddressingContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public class WSAddressingContext extends BaseContext
A subcontext that carries information related to WS-Addressing processing.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`actionURI`
The Action URI value.
`private String`
`faultActionURI`
The Fault Action URI value.
`private String`
`messageIDURI`
The MessageID URI value.
`private String`
`relatesToRelationshipType`
The RelatesTo RelationshipType attribute value.
`private String`
`relatesToURI`
The RelatesTo URI value.

## Constructor Summary

Constructors
Constructor
Description
`WSAddressingContext()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getActionURI()`
Get the Action URI value.
`String`
`getFaultActionURI()`
Get the Fault Action URI value.
`String`
`getMessageIDURI()`
Get the MessageID URI value.
`String`
`getRelatesToRelationshipType()`
Get the RelatesTo RelationshipType attribute value.
`String`
`getRelatesToURI()`
Get the RelatesTo URI value.
`void`
`setActionURI(String uri)`
Set the Action URI value.
`void`
`setFaultActionURI(String uri)`
Set the Fault Action URI value.
`void`
`setMessageIDURI(String uri)`
Set the MessageID URI value.
`void`
`setRelatesToRelationshipType(String value)`
Get the RelatesTo RelationshipType attribute value.
`void`
`setRelatesToURI(String uri)`
Set the RelatesTo URI value.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### actionURI

@Nullable private String actionURI
The Action URI value.

### faultActionURI

@Nullable private String faultActionURI
The Fault Action URI value.

### messageIDURI

@Nullable private String messageIDURI
The MessageID URI value.

### relatesToURI

@Nullable private String relatesToURI
The RelatesTo URI value.

### relatesToRelationshipType

@Nullable private String relatesToRelationshipType
The RelatesTo RelationshipType attribute value.

## Constructor Details

### WSAddressingContext

public WSAddressingContext()

## Method Details

### getActionURI

@Nullable public String getActionURI()
Get the Action URI value.

Returns:
  the action URI.

### setActionURI

public void setActionURI(@Nullable String uri)
Set the Action URI value.

Parameters:
  `uri` - the new Action URI value

### getFaultActionURI

@Nullable public String getFaultActionURI()
Get the Fault Action URI value.

Returns:
  the fault action URI.

### setFaultActionURI

public void setFaultActionURI(@Nullable String uri)
Set the Fault Action URI value.

Parameters:
  `uri` - the new Fault Action URI value

### getMessageIDURI

@Nullable public String getMessageIDURI()
Get the MessageID URI value.

Returns:
  the MessageID URI

### setMessageIDURI

public void setMessageIDURI(@Nullable String uri)
Set the MessageID URI value.

Parameters:
  `uri` - the new MessageID URI value

### getRelatesToURI

@Nullable public String getRelatesToURI()
Get the RelatesTo URI value.

Returns:
  the RelatesTo URI

### setRelatesToURI

public void setRelatesToURI(@Nullable String uri)
Set the RelatesTo URI value.

Parameters:
  `uri` - the RelatesTo URI value

### getRelatesToRelationshipType

@Nullable public String getRelatesToRelationshipType()
Get the RelatesTo RelationshipType attribute value.

Returns:
  the RelatesTo RelationshipType attribute value

### setRelatesToRelationshipType

public void setRelatesToRelationshipType(@Nullable String value)
Get the RelatesTo RelationshipType attribute value.

Parameters:
  `value` - the RelatesTo RelationshipType attribute value